interface CSVHeader {
    id: string;
    title: string;
    transformFunc?: (columnValue: any) => string;
}
export default class CSVGenerator {
    private readonly locale;
    private readonly headers;
    constructor(headers: CSVHeader[], locale: string);
    private getHeaders;
    private searchPropertyValues;
    private stringifyRecords;
    private parseField;
    generateCsv(rows: any[], visibleHeaders?: string[], excludeBOM?: boolean): string;
}
export {};
